## poliastro 0.14.0

=== Makefile ===
DOCKER_BASE_IMAGE := "poliastro:dev"
DOCKER_CONTAINER_NAME := "poliastro-dev"


image: Dockerfile pyproject.toml
	docker build \
	  -t poliastro:dev \
	  .

docker:
	docker run \
	  -it \
	  --rm \
	  --name ${DOCKER_CONTAINER_NAME} \
	  --volume $(shell pwd):/code \
	  --user $(shell id -u):$(shell id -g) \
	  ${DOCKER_BASE_IMAGE} \
          bash

.PHONY: docker image

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile
#
astropy==4.0              # via astroquery, poliastro
astroquery==0.4           # via poliastro
beautifulsoup4==4.8.2     # via astroquery
cached-property==1.5.1    # via poliastro
certifi==2019.11.28       # via requests
cffi==1.14.0              # via cryptography
chardet==3.0.4            # via requests
cryptography==2.8         # via secretstorage
cycler==0.10.0            # via matplotlib
html5lib==1.0.1           # via astroquery
idna==2.9                 # via requests
importlib-metadata==1.5.0  # via keyring
jeepney==0.4.3            # via keyring, secretstorage
jplephem==2.13            # via poliastro
keyring==21.2.0           # via astroquery
kiwisolver==1.1.0         # via matplotlib
llvmlite==0.31.0          # via numba
matplotlib==3.2.1         # via poliastro
numba==0.48.0             # via poliastro
numpy==1.18.2             # via astropy, jplephem, matplotlib, numba, pandas, poliastro, scipy
pandas==1.0.3             # via poliastro
plotly==4.5.4             # via poliastro
git+https://github.com/poliastro/poliastro.git#egg=poliastro  # via -r requirements.in
pycparser==2.20           # via cffi
pyparsing==2.4.6          # via matplotlib
python-dateutil==2.8.1    # via matplotlib, pandas
pytz==2019.3              # via pandas
requests==2.23.0          # via astroquery
retrying==1.3.3           # via plotly
scipy==1.4.1              # via poliastro
secretstorage==3.1.2      # via keyring
six==1.14.0               # via astroquery, cryptography, cycler, html5lib, plotly, python-dateutil, retrying
soupsieve==2.0            # via beautifulsoup4
urllib3==1.25.8           # via requests
webencodings==0.5.1       # via html5lib
zipp==3.1.0               # via importlib-metadata

# The following packages are considered to be unsafe in a requirements file:
# setuptools

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/poliastro.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/poliastro.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/poliastro"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/poliastro"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## poliastro 0.11.1

=== debian/changelog ===
poliastro (0.11.1-1) unstable; urgency=medium

  * New upstream version 0.11.1. Rediff patches
  * Push Standards-Version to 4.3.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Sat, 29 Dec 2018 11:38:04 +0100

poliastro (0.11.0-4) unstable; urgency=low

  * Define absolute tolerance when comparing with 0.0

 -- Ole Streicher <olebole@debian.org>  Mon, 08 Oct 2018 09:54:58 +0200

poliastro (0.11.0-3) unstable; urgency=low

  * Set MPLBACKEND for CI tests

 -- Ole Streicher <olebole@debian.org>  Fri, 28 Sep 2018 08:40:27 +0200

poliastro (0.11.0-2) unstable; urgency=low

  * Fix name of tests control file

 -- Ole Streicher <olebole@debian.org>  Thu, 27 Sep 2018 09:41:28 +0200

poliastro (0.11.0-1) unstable; urgency=low

  * Initial release. (Closes: #908659)

 -- Ole Streicher <olebole@debian.org>  Tue, 25 Sep 2018 11:56:50 +0200

=== debian/control ===
Source: poliastro
Section: python
Priority: optional
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-astropy (>= 3~),
               python3-astropy-helpers,
               python3-astroquery,
               python3-bs4 (>= 4.5.3),
               python3-matplotlib (>= 2~),
               python3-numpy,
               python3-pandas,
               python3-plotly,
               python3-pytest,
               python3-requests,
               python3-scipy,
               python3-setuptools
Standards-Version: 4.3.0
Homepage: https://github.com/poliastro/poliastro
Vcs-Git: https://salsa.debian.org/debian-astro-team/poliastro.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/poliastro

Package: python3-poliastro
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: python3-numba
Description: Astrodynamics and Orbital Mechanics computations
 Poliastro is an open source pure Python package dedicated to problems
 arising in Astrodynamics and Orbital Mechanics, such as orbit
 propagation, solution of the Lambert's problem, conversion between
 position and velocity vectors and classical orbital elements and
 orbit plotting, focusing on interplanetary applications

## poliastro 0.13.0

=== debian/changelog ===
poliastro (0.13.0-1) unstable; urgency=low

  * New upstream version 0.13.0. Rediff patches
  * Push Standards-Version to 4.4.0. No changes required
  * Push compat to 12. Remove d/compat
  * Add gitlab-ci.yml for salsa
  * Mark tests that use remote data
  * Skip failing poliastro.core doctests
  * Restrict build dep to plotly >=4

 -- Ole Streicher <olebole@debian.org>  Sun, 18 Aug 2019 14:59:05 +0200

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,23 @@
 Priority: optional
 Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-astropy (>= 3~),
-               python3-astropy-helpers,
                python3-astroquery,
                python3-bs4 (>= 4.5.3),
                python3-matplotlib (>= 2~),
                python3-numpy,
                python3-pandas,
-               python3-plotly,
+               python3-plotly (>= 4~),
                python3-pytest,
+               python3-pytest-doctestplus,
+               python3-pytest-remotedata,
                python3-requests,
                python3-scipy,
                python3-setuptools
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/poliastro/poliastro
 Vcs-Git: https://salsa.debian.org/debian-astro-team/poliastro.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/poliastro

## poliastro 0.13.1

=== debian/changelog ===
poliastro (0.13.1-1) unstable; urgency=low

  * Adjust minimal version of astropy. (Closes: #939462)
  * New upstream version 0.13.1
  * Drop patches that are applied upstream
  * Push Standards-Version to 4.4.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Fri, 20 Dec 2019 13:36:08 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
-               python3-astropy (>= 3~),
+               python3-astropy (>= 3.2~),
                python3-astroquery,
                python3-bs4 (>= 4.5.3),
                python3-matplotlib (>= 2~),
@@ -19,7 +19,7 @@
                python3-requests,
                python3-scipy,
                python3-setuptools
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/poliastro/poliastro
 Vcs-Git: https://salsa.debian.org/debian-astro-team/poliastro.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/poliastro

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export MPLBACKEND=agg

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_fixperms:
	dh_fixperms
	chmod ugo-x debian/python3-poliastro/usr/lib/python3/dist-packages/poliastro/tests/tests_twobody/test_orbit.py

=== debian/tests/control ===
Test-Command: cd $ADTTMP && MPLBACKEND=agg pytest-3 /usr/lib/python3/dist-packages/poliastro
Depends: python3-poliastro, python3-pytest
Restrictions: allow-stderr

## poliastro 0.14.0

=== debian/changelog ===
poliastro (0.14.0-5) unstable; urgency=medium

  * Add new dependency python3-erfa (which replaces erfa library)

 -- Ole Streicher <olebole@debian.org>  Mon, 30 Nov 2020 08:03:07 +0100

poliastro (0.14.0-4) unstable; urgency=medium

  * Replace some leftover astropy._erfa imports
  * Add "Rules-Requires-Root:no" to d/control
  * Push Standards-Version to 4.5.1. No changes
  * Fix license short name to Expat

 -- Ole Streicher <olebole@debian.org>  Thu, 26 Nov 2020 08:30:57 +0100

poliastro (0.14.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already
     present in machine-readable debian/copyright).

  [ Ole Streicher ]
  * Make test compatible to Astropy 4.1

 -- Ole Streicher <olebole@debian.org>  Thu, 29 Oct 2020 09:06:13 +0100

poliastro (0.14.0-2) unstable; urgency=medium

  * Fix CI test
  * Explicitly add all dependencies to py3-poliastro

 -- Ole Streicher <olebole@debian.org>  Sun, 28 Jun 2020 15:37:47 +0200

poliastro (0.14.0-1) unstable; urgency=low

  * New upstream version 0.14.0. Rediff patches. Closes: #963391
  * Push Standards-Version to 4.5.0. No changes needed
  * Push dh-compat to 13
  * Fix some failing tests, and mark the remaining ones

 -- Ole Streicher <olebole@debian.org>  Mon, 18 May 2020 16:09:27 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-astropy (>= 3.2~),
                python3-astroquery,
                python3-bs4 (>= 4.5.3),
+               python3-erfa,
                python3-matplotlib (>= 2~),
                python3-numpy,
                python3-pandas,
@@ -19,14 +20,24 @@
                python3-requests,
                python3-scipy,
                python3-setuptools
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/poliastro/poliastro
 Vcs-Git: https://salsa.debian.org/debian-astro-team/poliastro.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/poliastro
+Rules-Requires-Root: no
 
 Package: python3-poliastro
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: python3-astropy,
+         python3-astroquery,
+         python3-erfa,
+         python3-matplotlib,
+         python3-numpy,
+         python3-pandas,
+         python3-plotly,
+         python3-scipy,
+         ${misc:Depends},
+         ${python3:Depends}
 Recommends: python3-numba
 Description: Astrodynamics and Orbital Mechanics computations
  Poliastro is an open source pure Python package dedicated to problems

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export MPLBACKEND=agg

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: MPLBACKEND=agg python3 -m pytest tests
Depends: python3-poliastro, python3-pytest
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/poliastro/poliastro-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## poliastro 0.16.2

=== debian/changelog ===
poliastro (0.16.2-1) unstable; urgency=medium

  * New upstream version 0.16.2
  * Drop patches that were applied upstream

 -- Ole Streicher <olebole@debian.org>  Sat, 12 Feb 2022 22:38:41 +0100

poliastro (0.16.0-1) unstable; urgency=medium

  * New upstream version 0.16.0
  * Drop most of Mark-tests-failing-on-32-bit-archs-as-xfail.patch:
    applied upstream
  * Remove unneeded versionized build deps
  * Mark  test_apply_manuever_correct_plane as remote-data
  * Dont run slow tests in build CI and autopkgtest

 -- Ole Streicher <olebole@debian.org>  Mon, 13 Dec 2021 08:27:27 +0100

poliastro (0.15.2-4) unstable; urgency=medium

  [ Scott Kitterman ]
  * Drop debian/patches/Revert-the-adoption-PEP-621-metadata.patch
    (Closes: #1000753)

 -- Ole Streicher <olebole@debian.org>  Thu, 02 Dec 2021 07:55:02 +0100

poliastro (0.15.2-3) unstable; urgency=medium

  * Negate the 32-bit test in xfail: was accidently reversed

 -- Ole Streicher <olebole@debian.org>  Sat, 28 Aug 2021 15:09:23 +0200

poliastro (0.15.2-2) unstable; urgency=medium

  * Mark tests failing on 32 bit archs as xfail

 -- Ole Streicher <olebole@debian.org>  Sat, 28 Aug 2021 14:03:33 +0200

poliastro (0.15.2-1) unstable; urgency=medium

  * Switch upstream to github
  * New upstream version 0.15.2
  * Remove old patches: all fixed upstream
  * Revert the adoption PEP 621 metadata
  * Add new (build) deps flit and numba
  * Explicitly call pytest on autotest
  * Push Standards-Version to 4.6.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Tue, 24 Aug 2021 14:00:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: poliastro
+Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <olebole@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               flit (>= 3.2),
                python3-all,
                python3-astropy (>= 3.2~),
                python3-astroquery,
-               python3-bs4 (>= 4.5.3),
+               python3-bs4,
                python3-erfa,
-               python3-matplotlib (>= 2~),
+               python3-matplotlib,
+               python3-numba,
                python3-numpy,
                python3-pandas,
                python3-plotly (>= 4~),
@@ -20,10 +22,10 @@
                python3-requests,
                python3-scipy,
                python3-setuptools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/poliastro
+Vcs-Git: https://salsa.debian.org/debian-astro-team/poliastro.git
 Homepage: https://github.com/poliastro/poliastro
-Vcs-Git: https://salsa.debian.org/debian-astro-team/poliastro.git
-Vcs-Browser: https://salsa.debian.org/debian-astro-team/poliastro
 Rules-Requires-Root: no
 
 Package: python3-poliastro
@@ -32,6 +34,7 @@
          python3-astroquery,
          python3-erfa,
          python3-matplotlib,
+         python3-numba,
          python3-numpy,
          python3-pandas,
          python3-plotly,

=== debian/tests/control ===
Test-Command: MPLBACKEND=agg python3 -m pytest -m "not slow" tests
Depends: python3-poliastro, python3-pytest
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/poliastro-$1\.tar\.gz/ \
  https://github.com/poliastro/poliastro/tags .*/v?(\d\S+)\.tar\.gz

## poliastro 0.17.0

=== docs/Makefile ===
--- 
+++ 
@@ -5,6 +5,8 @@
 SPHINXOPTS    =
 SPHINXBUILD   = sphinx-build
 PAPER         =
+SRCDIR        = source
+EXAMPLESDIR   = examples
 BUILDDIR      = build
 
 # User-friendly check for sphinx-build
@@ -15,14 +17,15 @@
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
 PAPEROPT_letter = -D latex_paper_size=letter
-ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
+ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SRCDIR)
 # the i18n builder cannot share the environment and doctrees with the others
-I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
+I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SRCDIR)
 
 .PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
+	@echo "  examples   to make Jupyter notebook examples from *.md"
 	@echo "  html       to make standalone HTML files"
 	@echo "  dirhtml    to make HTML files named index.html in directories"
 	@echo "  singlehtml to make a single large HTML file"
@@ -47,7 +50,12 @@
 	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
 
 clean:
-	rm -rf $(BUILDDIR)/*
+	rm -rf $(BUILDDIR)/* $(SRCDIR)/$(EXAMPLESDIR)/*.ipynb
+
+examples:
+	@echo "Building Jupyter notebook examples..."
+	cd $(SRCDIR)/$(EXAMPLESDIR) && jupytext --to ipynb --execute *.mystnb
+	@echo "Finished!"
 
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

=== debian/changelog ===
poliastro (0.17.0-2) unstable; urgency=medium

  * Fix test failures (Closes: #1031451)
  * Push Standards-Version to 4.6.2, no changes
  * Build using the generic pyproject pybuild plugin (Closes: #1025395)

 -- Ole Streicher <olebole@debian.org>  Thu, 23 Feb 2023 08:22:49 +0100

poliastro (0.17.0-1) unstable; urgency=medium

  * New upstream version 0.17.0
  * Push Standards-Version to 4.6.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Sun, 17 Jul 2022 14:49:31 +0200

poliastro (0.16.3-1) unstable; urgency=medium

  * New upstream version 0.16.3

 -- Ole Streicher <olebole@debian.org>  Mon, 20 Jun 2022 09:00:46 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                flit (>= 3.2),
+               pybuild-plugin-pyproject,
                python3-all,
                python3-astropy (>= 3.2~),
                python3-astroquery,
@@ -22,7 +23,7 @@
                python3-requests,
                python3-scipy,
                python3-setuptools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/poliastro
 Vcs-Git: https://salsa.debian.org/debian-astro-team/poliastro.git
 Homepage: https://github.com/poliastro/poliastro
